﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@model Toyota.Common.Web.MVC.ModelHolder
           
@* fid.Cytta 21/11/2012  *@ 

@* Header *@
<link href="@Url.Content("~/Content/Style/MasterScreen.css")" rel="Stylesheet" type="text/css" />

<script type="text/javascript">
    //<![CDATA[
    var callbackInitDate;

    function OnStartCallback(s, e) {
        callbackInitDate = new Date();
    }
    function OnEndCallback(s, e) {
        var currentDate = new Date();
    }
    // ]]>
</script>

<div id="ChatHeader">
<table>
    <tr>
        <td align="left" style="width:90px">
            Date From
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                set =>
                {
                    set.Name = "DateFrom";
                }).GetHtml()
        </td>
        <td width="10"></td>
        <td align="left" width="20">
            To
        </td>
        <td colspan="2">
            @Html.DevExpress().DateEdit(
                set =>
                {
                    set.Name = "DateTo";
                }).GetHtml()
        </td>
    </tr>
    <tr>
        <td align="left" style="width:90px">
            Process Type
        </td>
        <td>
             @Html.DevExpress().ComboBox(
                set =>
                {
                    set.Name = "ProcessType";
                }
            ).GetHtml()
        </td>
        <td width="10"></td>
        <td></td>
        <td></td>
        <td></td>
    </tr>
    <tr>
        <td align="left" style="width:90px">
            Submitter
        </td>
        <td>
            @Html.Partial("SubmitterPartial", Model)
        </td>
        <td width="10"></td>
        <td></td>
        <td></td>
        <td></td>
    </tr>
    <tr>
        <td align="left" width="20">
            To
        </td>
        <td>
           @Html.Partial("ToPartial", Model)
        </td>
        <td width="10"></td>
        <td></td>
        <td></td>
        <td></td>
    </tr>
    <tr>
        <td align="left" width="20">
            Cc
        </td>
        <td>
            @Html.Partial("CcPartial", Model)
        </td>
        <td width="10"></td>
        <td ></td>
        <td style="display:inline-block; float:right;">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClear";
                    settings.Text = "Clear";
                    settings.UseSubmitBehavior = true;
                }
           ).GetHtml()   
        </td>
        <td style="display:inline-block; float:right;">
            @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnSearch";
                        settings.Text = "Search";
                        settings.UseSubmitBehavior = true;
                    }
               ).GetHtml()
        </td>
    </tr>
</table>
</div>
<div style="clear:both;"></div>
<table>
<tr height="5"><td></td></tr>
</table>
<div id="ChatGrid">
<table>
   <tr>
        <td>
            
            @Html.DevExpress().GridView(
                set =>    
                {
                    set.Name = "ChatDownloadGrid";
                    set.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                    set.Width = Unit.Pixel(1140);

                    set.SettingsPager.PageSize = 10;
                    set.SettingsPager.Position = PagerPosition.Bottom;
                    set.SettingsPager.FirstPageButton.Visible = true;
                    set.SettingsPager.LastPageButton.Visible = true;
                    set.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
                    set.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
                    set.Settings.ShowColumnHeaders = true;
                    set.CommandColumn.Visible = true;
                    set.CommandColumn.ShowSelectCheckbox = true;
                    set.CommandColumn.Width = Unit.Pixel(50);

                    set.Columns.Add("UserId", "Submitter", MVCxGridViewColumnType.ComboBox);
                    set.Columns["UserId"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns["UserId"].Width = Unit.Pixel(150);
                    set.Columns.Add("CommentTo", "To", MVCxGridViewColumnType.ComboBox);
                    set.Columns["CommentTo"].Width = Unit.Pixel(150);
                    set.Columns["CommentTo"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns.Add("CommentCc", "Cc", MVCxGridViewColumnType.ComboBox);
                    set.Columns["CommentCc"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns["CommentCc"].Width = Unit.Pixel(150);
                    set.Columns.Add("Participant", "Participant", MVCxGridViewColumnType.ComboBox);
                    set.Columns["Participant"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns["Participant"].Width = Unit.Pixel(160);
                    set.Columns.Add("CommentContent", "Comment Content", MVCxGridViewColumnType.HyperLink);
                    set.Columns["CommentContent"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns["CommentContent"].Width = Unit.Pixel(120);
                    set.Columns.Add("StartDt", "Thread Open Date", MVCxGridViewColumnType.ComboBox);
                    set.Columns["StartDt"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns["StartDt"].Width = Unit.Pixel(170);
                    set.Columns.Add("EndDt", "Thread Close Date", MVCxGridViewColumnType.ComboBox);
                    set.Columns["EndDt"].CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    set.Columns["EndDt"].Width = Unit.Pixel(170);
                    
                }).Bind(Model.GetModel<Portal.Models.ChatDownload.ChatDownloadModel>().ChatDatas).GetHtml()

        </td>
   </tr>
   <tr>
    <td style="float:right;">
         @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnDownload";
                    settings.Text = "Download";
                    settings.UseSubmitBehavior = true;
                }
           ).GetHtml()
    </td>
   </tr>
</table>
</div>